﻿package 
{
	import flash.display.Sprite;
	import flash.events.Event;
	import flash.events.FullScreenEvent;
	import flash.geom.Rectangle;
	import flash.text.TextField;
	import flash.text.TextFormat;
	import flash.text.TextFieldType;
	import flash.geom.Point;
	import flash.geom.Matrix;

	public class Damier extends Sprite
	{
		private var col:Number = 9;
		private var line:Number = 9;
		private var grid:Sprite;
		private var points:Array;
		private var amplitude:Number = 390;
		private var diametre:Number = 80;
		public var content_txt:TextField;
		// we store all characters in an array to animate them

		private var format:TextFormat;

		private var Letters:String;
		private var Content:Sprite;
		private var test:Sprite;
		private var lines:Sprite;
		private var Arrays:Array;
		private var SQ:Array;
		private var aa:Array;
		private var txts:Array;
		



		public function Damier()
		{
			grid = new Sprite();
			addChild(grid);
			grid.x = 100;
			grid.y = 100;
			
			
	 	Arrays = []
        SQ=[]
		aa =new Array("A","B","C","D","E","F","G","H","I","J","K");
        txts =new Array();
		
			for (var m:Number = 0; m<9; m++)
			{
				for (var n:Number = 0; n<9; n++)
				{
					var test:Sprite = addChild(new Sprite()) as Sprite;
					var txt:TextField = new TextField();

					format =new TextFormat();
					format.font = "Arial";
					format.size = 18;
					format.color = 0xffffff;
					format.bold = true;
					txt.defaultTextFormat = format;
					trace(aa[m]);
					txt.text =aa[n]; 
					txt.x=grid.x;
					txt.y=grid.x;
					test.addChild(txt);
					txts.push(txt);
					SQ.push(test)
				}
			}
		addEventListener(Event.ENTER_FRAME, enterHandler);
		}
		private function enterHandler(e:Event):void
		{


			
			var dist:Number;
			var distx:Number;
			var disty:Number;
			points = new Array();
			
				
			for (var i:Number = 0; i<col; i++)
			{
				for (var j:Number = 0; j<line; j++)
				{
					dist = Math.sqrt(Math.pow((j*50-mouseX+grid.x),2) + Math.pow(i*50-mouseY+grid.y,2));
					
					SQ[i].x = dist;
           			SQ[i].y = dist;
					
					if (dist < diametre && dist >= 10)
					{
						distx= ((j*50)-mouseX+grid.x<0)?-dist:dist;
						disty= ((i*50)-mouseY+grid.x<0)?-dist:dist;
						 SQ[i].x = j*50+amplitude/distx;
           				 SQ[i].y = i*50+amplitude/disty;
						  
						points.push({"x":j*50+amplitude/distx,"y":i*50+amplitude/disty});
						
					}
					else
					{
						points.push({"x":j*50,"y":i*50});
						
					}
				}
			}
			grid.graphics.clear();
			grid.graphics.lineStyle(1,0xffffff);
			
			for (var k:Number=0; k<points.length; k++)
			{
				grid.graphics.beginFill(0xffffff);
				grid.graphics.drawCircle(points[k].x,points[k].y,2);
				SQ[k].x = points[k].x;
           		SQ[k].y = points[k].y;
				grid.graphics.endFill();
				if ((k+1)%col != 0)
				{
					grid.graphics.moveTo(points[k].x,points[k].y);
					grid.graphics.lineTo(points[k+1].x,points[k+1].y);
					SQ[i].x = points[k+1].x;
           			SQ[i].y = points[k+1].y;
 				}
				if (k + col < col * line)
				{
					grid.graphics.moveTo(points[k].x,points[k].y);
					grid.graphics.lineTo(points[k+col].x,points[k+col].y);
					
					SQ[i].x = points[k+col].x;
           			SQ[i].y = points[k+col].y;
				}
			}
		}
	}
}